Bug 51527 - migrate_*.pl scripts
Summary: migrate_*.pl scripts
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openldap   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-11 21:49 UTC by Frank Salinas
Modified: 2014-08-31 23:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 16:10:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Salinas 2001-08-11 21:49:41 UTC
The following 3 scripts for the migration of Name services to openldap
do not exclude blank lines.

/usr/share/openldap/migration/migrate_passwd.pl
/usr/share/openldap/migration/migrate_group.pl
/usr/share/openldap/migration/migrate_aliases.pl

All they need is a line like this

next unless ($_);

after chop(); in the loop that reads the file.

this is done in the other migrate_*.pl scripts.

Comment 1 John Dalbec 2001-09-04 13:23:35 UTC
Also, in the extended schema, migrate_passwd.pl defines the attribute 'krbname'.  But this does not appear in any of the supplied schema 
definitions.  Should this be krb5PrincipalName instead?

Comment 2 John Dalbec 2001-09-04 13:30:37 UTC
*Emily Litella voice* Never mind! <mutter> grep -i </mutter>

Comment 3 Bill Nottingham 2006-08-07 18:48:03 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 4 Bill Nottingham 2006-10-18 16:10:17 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.